import { role } from ".";
export declare const root = "https://api.ecoledirecte.com";
/**
 * Most likely used for teacher interactions
 */
export declare const rootp = "https://apip.ecoledirecte.com";
export declare const Routes: {
    /**
     * Route for:
     * - POST /v3/login.awp
     */
    login(): string;
    /**
     * Use with `root2`!
     *
     * Route for:
     * - POST *p/v3/niveauxListe.awp?verbe=get&v=4.14.7
     */
    teacherSchools(): string;
    /**
     * Use with `root2`!
     *
     * Route for:
     * - POST *p/v3/classes/{classId}/eleves.awp?verbe=get&v=4.14.7
     */
    teacherStudents(classId: number): string;
    /**
     * Route for:
     * - POST /v3/elevesDocuments.awp
     */
    studentDocuments<tempParams extends {
        /**
         * @example "2021-2022"
         */
        archive?: string | undefined;
        verbe?: "get" | undefined;
    }>(params?: tempParams | undefined): string;
    /**
     * Route for:
     * - POST /v3/telechargement.awp
     */
    downloadDocument<tempParams_1 extends {
        verbe?: "get" | undefined;
        fichierId: number;
        leTypeDeFichier: string;
        archive?: boolean | undefined;
        anneeArchive?: string | undefined;
    }>(params?: tempParams_1 | undefined): string;
    /**
     * Route for:
     * - POST /v3/eleves/{studentId}/messages.awp
     */
    studentMailbox<tempParams_2 extends {
        verbe?: "getall" | undefined;
        typeRecuperation?: "received" | "sent" | undefined;
        orderBy?: "date" | undefined;
        order?: "desc" | undefined;
        page?: number | undefined;
        itemsPerPage?: number | undefined;
        onlyRead?: "" | unknown;
        query?: "" | unknown;
        idClasseur?: number | undefined;
    }>(studentId: number, params?: tempParams_2 | undefined): string;
    /**
     * Route for:
     * - POST /v3/eleves/{studentId}/messages/{messageId}.awp
     */
    studentMessage<tempParams_3 extends {
        verbe?: "get" | undefined;
        mode: "destinataire" | "expediteur" | "";
    }>(studentId: number, messageId: number, params: tempParams_3): string;
    /**
     * Route for:
     * - POST /v3/eleves/{studentId}/cahierdetexte.awp
     */
    studentHomework<tempParams_4 extends {
        verbe?: "get" | "put" | undefined;
    }>(studentId: number, params?: tempParams_4 | undefined): string;
    /**
     * Route for:
     * - POST /v3/eleves/{studentId}/cahierdetexte/{date}.awp
     * @param date Must be of type YYYY-MM-DD
     */
    studentHomeworkDate<tempParams_5 extends {
        verbe?: "get" | undefined;
    }>(studentId: number, date: string, params?: tempParams_5 | undefined): string;
    /**
     * Route for:
     * - POST /v3/eleves/{studentId}/notes.awp
     */
    studentGrades(studentId: number): string;
    /**
     * Route for:
     * - POST /v3/comptes/detail.awp
     */
    studentWallets(): string;
    /**
     * Route for:
     * - POST /v3/eleves/{studentId}/timeline.awp
     */
    studentTimeline<tempParams_6 extends {
        verbe?: "get" | undefined;
    }>(studentId: number, params?: tempParams_6 | undefined): string;
    /**
     * Route for:
     * - POST /v3/{accountType}/{accountId}/timelineAccueilCommun.awp
     */
    commonTimeline<tempParams_7 extends {
        verbe?: "get" | undefined;
    }>(accountType: "E", accountId: number, params?: tempParams_7 | undefined): string;
    /**
     * Route for:
     * - POST /v3/${accountType}/${accountId}/emploidutemps.awp
     */
    timetable<tempParams_8 extends {
        verbe?: "get" | undefined;
    }>(accountType: role, accountId: number, params?: tempParams_8 | undefined): string;
    /**
     * Route for:
     * - POST /v3/cloud/{accountType}/{accountId}.awp
     */
    cloudFolder<tempParams_9 extends {
        verbe?: "get" | "post" | "delete" | undefined;
        idFolder?: string | undefined;
    }>(accountType: role, accountId: number, params?: tempParams_9 | undefined): string;
    /**
     * Route for:
     * - POST /v3/telechargement.awp?verbe=post&fichierId=string&leTypeDeFichier=CLOUD
     */
    downloadFile<tempParams_10 extends {
        verbe?: "post" | undefined;
        fichierId?: string | undefined;
        leTypeDeFichier?: "CLOUD" | undefined;
    }>(params?: tempParams_10 | undefined): string;
};
//# sourceMappingURL=routes.d.ts.map